Bug 6105

Summary: Couldn't run "mvn clean install" on JSR352.API direcotyr
Product: jbatch Reporter: mk111283
Component: sourceAssignee: ScottKurz
Status: RESOLVED FIXED    
Severity: critical CC: issues
Priority: P2    
Version: 1   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS   
Whiteboard:
Attachments: output from running "mvm clean install" using JDK 8

Description mk111283 2014-05-29 21:24:00 UTC

    
Comment 1 mk111283 2014-05-29 21:25:19 UTC
Created attachment 138 [details]
output from running "mvm clean install" using JDK 8

output from running "mvm clean install" using JDK 8
Comment 2 mk111283 2014-05-29 21:28:08 UTC
This issue occurs only on jdk8 and not on jdk7.
Steps to reproduce:

Set JAVA_HOME to a JDK installation.

1. get the latest sources from the git repo
2. cd JSR352.API
3. mvm clean install

You will see the attached errors during javadoc generation.
Comment 3 ScottKurz 2014-05-30 22:08:34 UTC
Seems that Java 8's Javadoc has gotten more strict:

  http://blog.joda.org/2014/02/turning-off-doclint-in-jdk-8-javadoc.html

  http://stackoverflow.com/questions/22528767/jdk8-and-javadoc-has-become-very-strict

but there's a simple way to turn this off in Maven.

Hesitating while I think which way I want to fix this..
Comment 4 ScottKurz 2015-05-22 13:58:59 UTC
Brent fixed this in 
https://github.com/WASdev/standards.jsr352.jbatch/pull/13

Thanks!